Install/Update SAP Netweaver Developer Studio 7.1 (NWDS)

Instalar

Descargas el archivo NWDS_platform.zip, te va a pedir tu usuario y password de SAP. Esta es la url completa https://nwds.sap.com/swdc/downloads/updates/netweaver/nwds/ce/710/

Descomprimes el archivo y ejecutas el instalador IDEsetup.exe, necesitas tener instalado previamente la maquina virtual de Java (1.6), sigue los pasos del instalador hasta terminar.

Una nota que veo en la página de SAP dice que debes descargar la versión que corerspode a la de tu AS Java:

Actualizar

El NWDS no trae instalado nada por defecto así que necesitamos conectarnos a SAP y descargar los complementos, sin embargo  cuando abres el IDE y seleccionas el menú  Help > Software Updates > Find and Install… y utilizas el asistente te va a salir un error que dice “Premature end of File”.

Al buscar en el SDN vi vomentarios que dicen que configures un proxy en eclipse, pero esto a mi nunca me funciono. Afortunadamente encontré este post, donde te dan los pasos para poder conectar y descargar los complementos mediante un certificado, voy a colocar textualmente los pasos aquí:

Apparently the issue is with using SSL. On NWDS 7.11 I was able to fix it as follows:

1) download the SSL certificate from https://nwds.sap.com

  • in Chrome I exported it as “DER encoded binary X.509 (.CER)”
  • to C:\TEMP\nwds.sap.com.cer

Note: Save file into C:\TEMP

2) create a new keystore using the good old command prompt:

keytool -import -alias nwds.sap.com -file C:\TEMP\nwds.sap.com.cer -keystore C:\DATA\workspaces\nwds-7.11\workspace\.keystore

Note: after keystore argument you must write your workspace directory and you need to define one password.

3) point NWDS to the keystore by adding the following 2 lines at the end of SapNetweaverDeveloperStudio.ini

-Djavax.net.ssl.trustStore=C:/DATA/workspaces/nwds-7.11/workspace/.keystore
-Djavax.net.ssl.trustStorePassword=mypassword

 Now NWDS prompts for a uid/pwd when accessing the update site. My updates are running now😉

Esta es la prueba de que ha funcionado a la perfección:

NWDS 7.1

Update NWDS 7.1

Ya solo seleccionas los complementos que necesitas y actualizas el IDE :D!!

Saludos!

Referencias

Nota: Despúes de actualizar con las características de Web Dynpro veo que se elimino la variable de las librerías de SAP, aquí la dejo como una referencia.

Name:    SAP_SYSTEM_ADD_LIBS
Path:    %USERPROFILE%\.eclipse\com.sap.netweaver.developerstudio.studio_7.1.0_813998975\configuration\eclipse\plugins\com.sap.tc.ap_2.0.1.131203142733

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s